Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenEditorGeneratorImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenEditorGeneratorImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenEditorGenerator

    public class GenEditorGeneratorImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenEditorGenerator

An implementation of the model object 'Gen Editor Generator'.

The following features are implemented:

- `Audits`
- `Metrics`
- `Diagram`
- `Plugin`
- `Editor`
- `Navigator`
- `Diagram Updater`
- `Property Sheet`
- `Application`
- `Domain Gen Model`
- `Package Name Prefix`
- `Model ID`
- `Same File For Diagram And Model`
- `Diagram File Extension`
- `Domain File Extension`
- `Dynamic Templates`
- `Template Directory`
- `Copyright Text`
- `Expression Providers`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected GenApplication` `application` The cached value of the '`Application`' containment reference
`protected GenAuditRoot` `audits` The cached value of the '`Audits`' containment reference
`protected static java.lang.String` `COPYRIGHT_TEXT_EDEFAULT` The default value of the '`Copyright Text`' attribute
`protected java.lang.String` `copyrightText` The cached value of the '`Copyright Text`' attribute
`protected GenDiagram` `diagram` The cached value of the '`Diagram`' containment reference
`protected static java.lang.String` `DIAGRAM_FILE_EXTENSION_EDEFAULT` The default value of the '`Diagram File Extension`' attribute
`protected java.lang.String` `diagramFileExtension` The cached value of the '`Diagram File Extension`' attribute
`protected GenDiagramUpdater` `diagramUpdater` The cached value of the '`Diagram Updater`' containment reference
`protected static java.lang.String` `DOMAIN_FILE_EXTENSION_EDEFAULT` The default value of the '`Domain File Extension`' attribute
`protected java.lang.String` `domainFileExtension` The cached value of the '`Domain File Extension`' attribute
`protected org.eclipse.emf.codegen.ecore.genmodel.GenModel` `domainGenModel` The cached value of the '`Domain Gen Model`' reference
`protected static boolean` `DYNAMIC_TEMPLATES_EDEFAULT` The default value of the '`Dynamic Templates`' attribute
`protected boolean` `dynamicTemplates` The cached value of the '`Dynamic Templates`' attribute
`protected GenEditorView` `editor` The cached value of the '`Editor`' containment reference
`protected GenExpressionProviderContainer` `expressionProviders` The cached value of the '`Expression Providers`' containment reference
`protected GenMetricContainer` `metrics` The cached value of the '`Metrics`' containment reference
`protected static java.lang.String` `MODEL_ID_EDEFAULT` The default value of the '`Model ID`' attribute
`protected java.lang.String` `modelID` The cached value of the '`Model ID`' attribute
`protected GenNavigator` `navigator` The cached value of the '`Navigator`' containment reference
`protected static java.lang.String` `PACKAGE_NAME_PREFIX_EDEFAULT` The default value of the '`Package Name Prefix`' attribute
`protected java.lang.String` `packageNamePrefix` The cached value of the '`Package Name Prefix`' attribute
`protected GenPlugin` `plugin` The cached value of the '`Plugin`' containment reference
`protected GenPropertySheet` `propertySheet` The cached value of the '`Property Sheet`' containment reference
`protected static boolean` `SAME_FILE_FOR_DIAGRAM_AND_MODEL_EDEFAULT` The default value of the '`Same File For Diagram And Model`' attribute
`protected boolean` `sameFileForDiagramAndModel` The cached value of the '`Same File For Diagram And Model`' attribute
`protected static java.lang.String` `TEMPLATE_DIRECTORY_EDEFAULT` The default value of the '`Template Directory`' attribute
`protected java.lang.String` `templateDirectory` The cached value of the '`Template Directory`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenEditorGeneratorImpl()`

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenModel` `basicGetDomainGenModel()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetApplication(GenApplication newApplication, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetAudits(GenAuditRoot newAudits, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDiagram(GenDiagram newDiagram, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDiagramUpdater(GenDiagramUpdater newDiagramUpdater, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetEditor(GenEditorView newEditor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetExpressionProviders(GenExpressionProviderContainer newExpressionProviders, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetMetrics(GenMetricContainer newMetrics, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetNavigator(GenNavigator newNavigator, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetPlugin(GenPlugin newPlugin, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetPropertySheet(GenPropertySheet newPropertySheet, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenPackage>` `getAllDomainGenPackages(boolean withUsed)`
`GenApplication` `getApplication()`
`GenAuditRoot` `getAudits()`
`java.lang.String` `getCopyrightText()`
`GenDiagram` `getDiagram()`
`java.lang.String` `getDiagramFileExtension()` Returns the value of the 'Diagram File Extension' attribute
`java.lang.String` `getDiagramFileExtensionGen()`
`GenDiagramUpdater` `getDiagramUpdater()`
`java.lang.String` `getDomainFileExtension()` Returns the value of the 'Domain File Extension' attribute
`java.lang.String` `getDomainFileExtensionGen()`
`org.eclipse.emf.codegen.ecore.genmodel.GenModel` `getDomainGenModel()`
`GenEditorView` `getEditor()`
`GenExpressionProviderContainer` `getExpressionProviders()`
`GenMetricContainer` `getMetrics()`
`java.lang.String` `getModelID()` Returns the value of the 'Model ID' attribute
`java.lang.String` `getModelIDGen()`
`GenNavigator` `getNavigator()`
`java.lang.String` `getPackageNamePrefix()` Returns the value of the 'Package Name Prefix' attribute
`java.lang.String` `getPackageNamePrefixGen()`
`GenPlugin` `getPlugin()`
`GenPropertySheet` `getPropertySheet()`
`java.lang.String` `getTemplateDirectory()`
`boolean` `hasAudits()`
`boolean` `isDynamicTemplates()`
`boolean` `isSameFileForDiagramAndModel()`
`boolean` `requiresParser(LabelTextAccessMethod method)`
`void` `setApplication(GenApplication newApplication)`
`void` `setAudits(GenAuditRoot newAudits)`
`void` `setCopyrightText(java.lang.String newCopyrightText)`
`void` `setDiagram(GenDiagram newDiagram)`
`void` `setDiagramFileExtension(java.lang.String newDiagramFileExtension)`
`void` `setDiagramUpdater(GenDiagramUpdater newDiagramUpdater)`
`void` `setDomainFileExtension(java.lang.String newDomainFileExtension)`
`void` `setDomainGenModel(org.eclipse.emf.codegen.ecore.genmodel.GenModel newDomainGenModel)`
`void` `setDynamicTemplates(boolean newDynamicTemplates)`
`void` `setEditor(GenEditorView newEditor)`
`void` `setExpressionProviders(GenExpressionProviderContainer newExpressionProviders)`
`void` `setMetrics(GenMetricContainer newMetrics)`
`void` `setModelID(java.lang.String newModelID)`
`void` `setNavigator(GenNavigator newNavigator)`
`void` `setPackageNamePrefix(java.lang.String newPackageNamePrefix)`
`void` `setPlugin(GenPlugin newPlugin)`
`void` `setPropertySheet(GenPropertySheet newPropertySheet)`
`void` `setSameFileForDiagramAndModel(boolean newSameFileForDiagramAndModel)`
`void` `setTemplateDirectory(java.lang.String newTemplateDirectory)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### audits

    protected GenAuditRoot audits

  The cached value of the '`Audits`' containment reference.

  See Also:
    `getAudits()`
  ** Generated **
  Ordered:

### metrics

    protected GenMetricContainer metrics

  The cached value of the '`Metrics`' containment reference.

  See Also:
    `getMetrics()`
  ** Generated **
  Ordered:

### diagram

    protected GenDiagram diagram

  The cached value of the '`Diagram`' containment reference.

  See Also:
    `getDiagram()`
  ** Generated **
  Ordered:

### plugin

    protected GenPlugin plugin

  The cached value of the '`Plugin`' containment reference.

  See Also:
    `getPlugin()`
  ** Generated **
  Ordered:

### editor

    protected GenEditorView editor

  The cached value of the '`Editor`' containment reference.

  See Also:
    `getEditor()`
  ** Generated **
  Ordered:

### navigator

    protected GenNavigator navigator

  The cached value of the '`Navigator`' containment reference.

  See Also:
    `getNavigator()`
  ** Generated **
  Ordered:

### diagramUpdater

    protected GenDiagramUpdater diagramUpdater

  The cached value of the '`Diagram Updater`' containment reference.

  See Also:
    `getDiagramUpdater()`
  ** Generated **
  Ordered:

### propertySheet

    protected GenPropertySheet propertySheet

  The cached value of the '`Property Sheet`' containment reference.

  See Also:
    `getPropertySheet()`
  ** Generated **
  Ordered:

### application

    protected GenApplication application

  The cached value of the '`Application`' containment reference.

  See Also:
    `getApplication()`
  ** Generated **
  Ordered:

### domainGenModel

    protected org.eclipse.emf.codegen.ecore.genmodel.GenModel domainGenModel

  The cached value of the '`Domain Gen Model`' reference.

  See Also:
    `getDomainGenModel()`
  ** Generated **
  Ordered:

### PACKAGE_NAME_PREFIX_EDEFAULT

    protected static final java.lang.String PACKAGE_NAME_PREFIX_EDEFAULT

  The default value of the '`Package Name Prefix`' attribute.

  See Also:
    `getPackageNamePrefix()`
  ** Generated **
  Ordered:

### packageNamePrefix

    protected java.lang.String packageNamePrefix

  The cached value of the '`Package Name Prefix`' attribute.

  See Also:
    `getPackageNamePrefix()`
  ** Generated **
  Ordered:

### MODEL_ID_EDEFAULT

    protected static final java.lang.String MODEL_ID_EDEFAULT

  The default value of the '`Model ID`' attribute.

  See Also:
    `getModelID()`
  ** Generated **
  Ordered:

### modelID

    protected java.lang.String modelID

  The cached value of the '`Model ID`' attribute.

  See Also:
    `getModelID()`
  ** Generated **
  Ordered:

### SAME_FILE_FOR_DIAGRAM_AND_MODEL_EDEFAULT

    protected static final boolean SAME_FILE_FOR_DIAGRAM_AND_MODEL_EDEFAULT

  The default value of the '`Same File For Diagram And Model`' attribute.

  See Also:
    `isSameFileForDiagramAndModel()`, Constant Field Values
  ** Generated **
  Ordered:

### sameFileForDiagramAndModel

    protected boolean sameFileForDiagramAndModel

  The cached value of the '`Same File For Diagram And Model`' attribute.

  See Also:
    `isSameFileForDiagramAndModel()`
  ** Generated **
  Ordered:

### DIAGRAM_FILE_EXTENSION_EDEFAULT

    protected static final java.lang.String DIAGRAM_FILE_EXTENSION_EDEFAULT

  The default value of the '`Diagram File Extension`' attribute.

  See Also:
    `getDiagramFileExtension()`
  ** Generated **
  Ordered:

### diagramFileExtension

    protected java.lang.String diagramFileExtension

  The cached value of the '`Diagram File Extension`' attribute.

  See Also:
    `getDiagramFileExtension()`
  ** Generated **
  Ordered:

### DOMAIN_FILE_EXTENSION_EDEFAULT

    protected static final java.lang.String DOMAIN_FILE_EXTENSION_EDEFAULT

  The default value of the '`Domain File Extension`' attribute.

  See Also:
    `getDomainFileExtension()`
  ** Generated **
  Ordered:

### domainFileExtension

    protected java.lang.String domainFileExtension

  The cached value of the '`Domain File Extension`' attribute.

  See Also:
    `getDomainFileExtension()`
  ** Generated **
  Ordered:

### DYNAMIC_TEMPLATES_EDEFAULT

    protected static final boolean DYNAMIC_TEMPLATES_EDEFAULT

  The default value of the '`Dynamic Templates`' attribute.

  See Also:
    `isDynamicTemplates()`, Constant Field Values
  ** Generated **
  Ordered:

### dynamicTemplates

    protected boolean dynamicTemplates

  The cached value of the '`Dynamic Templates`' attribute.

  See Also:
    `isDynamicTemplates()`
  ** Generated **
  Ordered:

### TEMPLATE_DIRECTORY_EDEFAULT

    protected static final java.lang.String TEMPLATE_DIRECTORY_EDEFAULT

  The default value of the '`Template Directory`' attribute.

  See Also:
    `getTemplateDirectory()`
  ** Generated **
  Ordered:

### templateDirectory

    protected java.lang.String templateDirectory

  The cached value of the '`Template Directory`' attribute.

  See Also:
    `getTemplateDirectory()`
  ** Generated **
  Ordered:

### COPYRIGHT_TEXT_EDEFAULT

    protected static final java.lang.String COPYRIGHT_TEXT_EDEFAULT

  The default value of the '`Copyright Text`' attribute.

  See Also:
    `getCopyrightText()`
  ** Generated **
  Ordered:

### copyrightText

    protected java.lang.String copyrightText

  The cached value of the '`Copyright Text`' attribute.

  See Also:
    `getCopyrightText()`
  ** Generated **
  Ordered:

### expressionProviders

    protected GenExpressionProviderContainer expressionProviders

  The cached value of the '`Expression Providers`' containment reference.

  See Also:
    `getExpressionProviders()`
  ** Generated **
  Ordered:

Constructor Detail

### GenEditorGeneratorImpl

    protected GenEditorGeneratorImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getAudits

    public GenAuditRoot getAudits()

  Specified by:
    `getAudits` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Audits' containment reference.
  See Also:
    `GenEditorGenerator.setAudits(GenAuditRoot)`, `GMFGenPackage.getGenEditorGenerator_Audits()`, `GenAuditRoot.getEditorGen()`
  ** Generated **

### basicSetAudits

    public org.eclipse.emf.common.notify.NotificationChain basicSetAudits(GenAuditRoot newAudits,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setAudits

    public void setAudits(GenAuditRoot newAudits)

  Specified by:
    `setAudits` in interface `GenEditorGenerator`
  Parameters:
    `newAudits` - the new value of the 'Audits' containment reference.
  See Also:
    `GenEditorGenerator.getAudits()`
  ** Generated **

### getMetrics

    public GenMetricContainer getMetrics()

  Specified by:
    `getMetrics` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Metrics' containment reference.
  See Also:
    `GenEditorGenerator.setMetrics(GenMetricContainer)`, `GMFGenPackage.getGenEditorGenerator_Metrics()`, `GenMetricContainer.getEditorGen()`
  ** Generated **

### basicSetMetrics

    public org.eclipse.emf.common.notify.NotificationChain basicSetMetrics(GenMetricContainer newMetrics,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setMetrics

    public void setMetrics(GenMetricContainer newMetrics)

  Specified by:
    `setMetrics` in interface `GenEditorGenerator`
  Parameters:
    `newMetrics` - the new value of the 'Metrics' containment reference.
  See Also:
    `GenEditorGenerator.getMetrics()`
  ** Generated **

### getDiagram

    public GenDiagram getDiagram()

  Specified by:
    `getDiagram` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Diagram' containment reference.
  See Also:
    `GenEditorGenerator.setDiagram(GenDiagram)`, `GMFGenPackage.getGenEditorGenerator_Diagram()`, `GenDiagram.getEditorGen()`
  ** Generated **

### basicSetDiagram

    public org.eclipse.emf.common.notify.NotificationChain basicSetDiagram(GenDiagram newDiagram,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setDiagram

    public void setDiagram(GenDiagram newDiagram)

  Specified by:
    `setDiagram` in interface `GenEditorGenerator`
  Parameters:
    `newDiagram` - the new value of the 'Diagram' containment reference.
  See Also:
    `GenEditorGenerator.getDiagram()`
  ** Generated **

### getPlugin

    public GenPlugin getPlugin()

  Specified by:
    `getPlugin` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Plugin' containment reference.
  See Also:
    `GenEditorGenerator.setPlugin(GenPlugin)`, `GMFGenPackage.getGenEditorGenerator_Plugin()`, `GenPlugin.getEditorGen()`
  ** Generated **

### basicSetPlugin

    public org.eclipse.emf.common.notify.NotificationChain basicSetPlugin(GenPlugin newPlugin,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setPlugin

    public void setPlugin(GenPlugin newPlugin)

  Specified by:
    `setPlugin` in interface `GenEditorGenerator`
  Parameters:
    `newPlugin` - the new value of the 'Plugin' containment reference.
  See Also:
    `GenEditorGenerator.getPlugin()`
  ** Generated **

### getEditor

    public GenEditorView getEditor()

  Specified by:
    `getEditor` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Editor' containment reference.
  See Also:
    `GenEditorGenerator.setEditor(GenEditorView)`, `GMFGenPackage.getGenEditorGenerator_Editor()`, `GenEditorView.getEditorGen()`
  ** Generated **

### basicSetEditor

    public org.eclipse.emf.common.notify.NotificationChain basicSetEditor(GenEditorView newEditor,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setEditor

    public void setEditor(GenEditorView newEditor)

  Specified by:
    `setEditor` in interface `GenEditorGenerator`
  Parameters:
    `newEditor` - the new value of the 'Editor' containment reference.
  See Also:
    `GenEditorGenerator.getEditor()`
  ** Generated **

### getNavigator

    public GenNavigator getNavigator()

  Specified by:
    `getNavigator` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Navigator' containment reference.
  See Also:
    `GenEditorGenerator.setNavigator(GenNavigator)`, `GMFGenPackage.getGenEditorGenerator_Navigator()`, `GenNavigator.getEditorGen()`
  ** Generated **

### basicSetNavigator

    public org.eclipse.emf.common.notify.NotificationChain basicSetNavigator(GenNavigator newNavigator,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setNavigator

    public void setNavigator(GenNavigator newNavigator)

  Specified by:
    `setNavigator` in interface `GenEditorGenerator`
  Parameters:
    `newNavigator` - the new value of the 'Navigator' containment reference.
  See Also:
    `GenEditorGenerator.getNavigator()`
  ** Generated **

### getDiagramUpdater

    public GenDiagramUpdater getDiagramUpdater()

  Specified by:
    `getDiagramUpdater` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Diagram Updater' containment reference.
  See Also:
    `GenEditorGenerator.setDiagramUpdater(GenDiagramUpdater)`, `GMFGenPackage.getGenEditorGenerator_DiagramUpdater()`, `GenDiagramUpdater.getEditorGen()`
  ** Generated **

### basicSetDiagramUpdater

    public org.eclipse.emf.common.notify.NotificationChain basicSetDiagramUpdater(GenDiagramUpdater newDiagramUpdater,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setDiagramUpdater

    public void setDiagramUpdater(GenDiagramUpdater newDiagramUpdater)

  Specified by:
    `setDiagramUpdater` in interface `GenEditorGenerator`
  Parameters:
    `newDiagramUpdater` - the new value of the 'Diagram Updater' containment reference.
  See Also:
    `GenEditorGenerator.getDiagramUpdater()`
  ** Generated **

### getPropertySheet

    public GenPropertySheet getPropertySheet()

  Specified by:
    `getPropertySheet` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Property Sheet' containment reference.
  See Also:
    `GenEditorGenerator.setPropertySheet(GenPropertySheet)`, `GMFGenPackage.getGenEditorGenerator_PropertySheet()`, `GenPropertySheet.getEditorGen()`
  ** Generated **

### basicSetPropertySheet

    public org.eclipse.emf.common.notify.NotificationChain basicSetPropertySheet(GenPropertySheet newPropertySheet,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setPropertySheet

    public void setPropertySheet(GenPropertySheet newPropertySheet)

  Specified by:
    `setPropertySheet` in interface `GenEditorGenerator`
  Parameters:
    `newPropertySheet` - the new value of the 'Property Sheet' containment reference.
  See Also:
    `GenEditorGenerator.getPropertySheet()`
  ** Generated **

### getApplication

    public GenApplication getApplication()

  Specified by:
    `getApplication` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Application' containment reference.
  See Also:
    `GenEditorGenerator.setApplication(GenApplication)`, `GMFGenPackage.getGenEditorGenerator_Application()`, `GenApplication.getEditorGen()`
  ** Generated **

### basicSetApplication

    public org.eclipse.emf.common.notify.NotificationChain basicSetApplication(GenApplication newApplication,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setApplication

    public void setApplication(GenApplication newApplication)

  Specified by:
    `setApplication` in interface `GenEditorGenerator`
  Parameters:
    `newApplication` - the new value of the 'Application' containment reference.
  See Also:
    `GenEditorGenerator.getApplication()`
  ** Generated **

### getDomainGenModel

    public org.eclipse.emf.codegen.ecore.genmodel.GenModel getDomainGenModel()

  Specified by:
    `getDomainGenModel` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Domain Gen Model' reference.
  See Also:
    `GenEditorGenerator.setDomainGenModel(GenModel)`, `GMFGenPackage.getGenEditorGenerator_DomainGenModel()`
  ** Generated **

### basicGetDomainGenModel

    public org.eclipse.emf.codegen.ecore.genmodel.GenModel basicGetDomainGenModel()

  ** Generated **

### setDomainGenModel

    public void setDomainGenModel(org.eclipse.emf.codegen.ecore.genmodel.GenModel newDomainGenModel)

  Specified by:
    `setDomainGenModel` in interface `GenEditorGenerator`
  Parameters:
    `newDomainGenModel` - the new value of the 'Domain Gen Model' reference.
  See Also:
    `GenEditorGenerator.getDomainGenModel()`
  ** Generated **

### getPackageNamePrefixGen

    public java.lang.String getPackageNamePrefixGen()

  ** Generated **

### getPackageNamePrefix

    public java.lang.String getPackageNamePrefix()

  Description copied from interface: `GenEditorGenerator`
  Returns the value of the 'Package Name Prefix' attribute. Derived from genModel.genPackage[0].getBasePackage() by default

  Specified by:
    `getPackageNamePrefix` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Package Name Prefix' attribute.
  See Also:
    `GenEditorGenerator.setPackageNamePrefix(String)`, `GMFGenPackage.getGenEditorGenerator_PackageNamePrefix()`

### setPackageNamePrefix

    public void setPackageNamePrefix(java.lang.String newPackageNamePrefix)

  Specified by:
    `setPackageNamePrefix` in interface `GenEditorGenerator`
  Parameters:
    `newPackageNamePrefix` - the new value of the 'Package Name Prefix' attribute.
  See Also:
    `GenEditorGenerator.getPackageNamePrefix()`
  ** Generated **

### getModelIDGen

    public java.lang.String getModelIDGen()

  ** Generated **

### getModelID

    public java.lang.String getModelID()

  Description copied from interface: `GenEditorGenerator`
  Returns the value of the 'Model ID' attribute.

  If the meaning of the 'Model ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getModelID` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Model ID' attribute.
  See Also:
    `GenEditorGenerator.setModelID(String)`, `GMFGenPackage.getGenEditorGenerator_ModelID()`
  ** Generated **
    NOT

### setModelID

    public void setModelID(java.lang.String newModelID)

  Specified by:
    `setModelID` in interface `GenEditorGenerator`
  Parameters:
    `newModelID` - the new value of the 'Model ID' attribute.
  See Also:
    `GenEditorGenerator.getModelID()`
  ** Generated **

### isSameFileForDiagramAndModel

    public boolean isSameFileForDiagramAndModel()

  Specified by:
    `isSameFileForDiagramAndModel` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Same File For Diagram And Model' attribute.
  See Also:
    `GenEditorGenerator.setSameFileForDiagramAndModel(boolean)`, `GMFGenPackage.getGenEditorGenerator_SameFileForDiagramAndModel()`
  ** Generated **

### setSameFileForDiagramAndModel

    public void setSameFileForDiagramAndModel(boolean newSameFileForDiagramAndModel)

  Specified by:
    `setSameFileForDiagramAndModel` in interface `GenEditorGenerator`
  Parameters:
    `newSameFileForDiagramAndModel` - the new value of the 'Same File For Diagram And Model' attribute.
  See Also:
    `GenEditorGenerator.isSameFileForDiagramAndModel()`
  ** Generated **

### getDiagramFileExtensionGen

    public java.lang.String getDiagramFileExtensionGen()

  ** Generated **

### getDiagramFileExtension

    public java.lang.String getDiagramFileExtension()

  Description copied from interface: `GenEditorGenerator`
  Returns the value of the 'Diagram File Extension' attribute.

  If the meaning of the 'Diagram File Extension' attribute isn't clear, there really should be more of a description here...

  Distinct even when sameFileForDiagramAndModel is true. On init diagram, we just copy domain model element to new file with that extension. I won't try to set this equal to domainFileExtension

  Specified by:
    `getDiagramFileExtension` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Diagram File Extension' attribute.
  See Also:
    `GenEditorGenerator.setDiagramFileExtension(String)`, `GMFGenPackage.getGenEditorGenerator_DiagramFileExtension()`

### setDiagramFileExtension

    public void setDiagramFileExtension(java.lang.String newDiagramFileExtension)

  Specified by:
    `setDiagramFileExtension` in interface `GenEditorGenerator`
  Parameters:
    `newDiagramFileExtension` - the new value of the 'Diagram File Extension' attribute.
  See Also:
    `GenEditorGenerator.getDiagramFileExtension()`
  ** Generated **

### getDomainFileExtensionGen

    public java.lang.String getDomainFileExtensionGen()

  ** Generated **

### getDomainFileExtension

    public java.lang.String getDomainFileExtension()

  Description copied from interface: `GenEditorGenerator`
  Returns the value of the 'Domain File Extension' attribute. By default, genModel.genPackage[0].getPrefix().toLowerCase(), as in emf/templates/editor/pluign.xmljet

  Specified by:
    `getDomainFileExtension` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Domain File Extension' attribute.
  See Also:
    `GenEditorGenerator.setDomainFileExtension(String)`, `GMFGenPackage.getGenEditorGenerator_DomainFileExtension()`

### setDomainFileExtension

    public void setDomainFileExtension(java.lang.String newDomainFileExtension)

  Specified by:
    `setDomainFileExtension` in interface `GenEditorGenerator`
  Parameters:
    `newDomainFileExtension` - the new value of the 'Domain File Extension' attribute.
  See Also:
    `GenEditorGenerator.getDomainFileExtension()`
  ** Generated **

### isDynamicTemplates

    public boolean isDynamicTemplates()

  Specified by:
    `isDynamicTemplates` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Dynamic Templates' attribute.
  See Also:
    `GenEditorGenerator.setDynamicTemplates(boolean)`, `GMFGenPackage.getGenEditorGenerator_DynamicTemplates()`
  ** Generated **

### setDynamicTemplates

    public void setDynamicTemplates(boolean newDynamicTemplates)

  Specified by:
    `setDynamicTemplates` in interface `GenEditorGenerator`
  Parameters:
    `newDynamicTemplates` - the new value of the 'Dynamic Templates' attribute.
  See Also:
    `GenEditorGenerator.isDynamicTemplates()`
  ** Generated **

### getTemplateDirectory

    public java.lang.String getTemplateDirectory()

  Specified by:
    `getTemplateDirectory` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Template Directory' attribute.
  See Also:
    `GenEditorGenerator.setTemplateDirectory(String)`, `GMFGenPackage.getGenEditorGenerator_TemplateDirectory()`
  ** Generated **

### setTemplateDirectory

    public void setTemplateDirectory(java.lang.String newTemplateDirectory)

  Specified by:
    `setTemplateDirectory` in interface `GenEditorGenerator`
  Parameters:
    `newTemplateDirectory` - the new value of the 'Template Directory' attribute.
  See Also:
    `GenEditorGenerator.getTemplateDirectory()`
  ** Generated **

### getCopyrightText

    public java.lang.String getCopyrightText()

  Specified by:
    `getCopyrightText` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Copyright Text' attribute.
  See Also:
    `GenEditorGenerator.setCopyrightText(String)`, `GMFGenPackage.getGenEditorGenerator_CopyrightText()`
  ** Generated **

### setCopyrightText

    public void setCopyrightText(java.lang.String newCopyrightText)

  Specified by:
    `setCopyrightText` in interface `GenEditorGenerator`
  Parameters:
    `newCopyrightText` - the new value of the 'Copyright Text' attribute.
  See Also:
    `GenEditorGenerator.getCopyrightText()`
  ** Generated **

### getExpressionProviders

    public GenExpressionProviderContainer getExpressionProviders()

  Specified by:
    `getExpressionProviders` in interface `GenEditorGenerator`
  Returns:
    the value of the 'Expression Providers' containment reference.
  See Also:
    `GenEditorGenerator.setExpressionProviders(GenExpressionProviderContainer)`, `GMFGenPackage.getGenEditorGenerator_ExpressionProviders()`, `GenExpressionProviderContainer.getEditorGen()`
  ** Generated **

### basicSetExpressionProviders

    public org.eclipse.emf.common.notify.NotificationChain basicSetExpressionProviders(GenExpressionProviderContainer newExpressionProviders,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setExpressionProviders

    public void setExpressionProviders(GenExpressionProviderContainer newExpressionProviders)

  Specified by:
    `setExpressionProviders` in interface `GenEditorGenerator`
  Parameters:
    `newExpressionProviders` - the new value of the 'Expression Providers' containment reference.
  See Also:
    `GenEditorGenerator.getExpressionProviders()`
  ** Generated **

### getAllDomainGenPackages

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenPackage> getAllDomainGenPackages(boolean withUsed)

  Specified by:
    `getAllDomainGenPackages` in interface `GenEditorGenerator`
  ** Generated **
    NOT

### requiresParser

    public boolean requiresParser(LabelTextAccessMethod method)

  Specified by:
    `requiresParser` in interface `GenEditorGenerator`
  ** Generated **
    NOT

### hasAudits

    public boolean hasAudits()

  Specified by:
    `hasAudits` in interface `GenEditorGenerator`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.